Bug 194535 - evolution-2.7.2.1-4 has a Gtk-CRITICAL crasher
evolution-2.7.2.1-4 has a Gtk-CRITICAL crasher
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 16:05 EDT by Joseph Sacco
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-01 19:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to eliminate Gtk-CRITICAL crasher (1.47 KB, patch)
2006-06-08 16:05 EDT, Joseph Sacco
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 343764 None None None Never

  None (edit)
Description Joseph Sacco 2006-06-08 16:05:12 EDT
evolution-2.7.2.1-4 has a Gtk-CRITICAL crasher: 

$ evolution
CalDAV Eplugin starting up ...

(evolution-2.8:3018): camel-WARNING **: camel_exception_get_id called with NULL
parameter.
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name org.freedesktop.NetworkMa
nager was not provided by any .service files

(evolution-2.8:3018): Gtk-WARNING **: Attempting to add a widget with type GtkLa
bel to a GtkButton, but as a GtkBin subclass a GtkButton can only contain one wi
dget at a time; it already contains a widget of type GtkAlignment

(evolution-2.8:3018): Gtk-WARNING **: Attempting to add a widget with type GtkLa
bel to a GtkButton, but as a GtkBin subclass a GtkButton can only contain one wi
dget at a time; it already contains a widget of type GtkAlignment

(evolution-2.8:3018): Gtk-CRITICAL **: gtk_widget_ensure_style: assertion `GTK_I
S_WIDGET (widget)' failed

Source of the problem has been identified and discussed on bugzilla.gnome.org
[bug #343764]. A patch is attached below.

-Joseph
Comment 1 Joseph Sacco 2006-06-08 16:05:12 EDT
Created attachment 130782 [details]
patch to eliminate Gtk-CRITICAL crasher
Comment 2 Matthew Barnes 2006-07-01 19:10:55 EDT
Fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.